/*
 * Copyright 2012 Vaadin Ltd.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package org.vaadin.tori.component;

import com.vaadin.server.ThemeResource;
import com.vaadin.ui.Alignment;
import com.vaadin.ui.CustomComponent;
import com.vaadin.ui.Image;
import com.vaadin.ui.VerticalLayout;

@SuppressWarnings("serial")
public class PanicComponent extends CustomComponent {
    private final VerticalLayout layout = new VerticalLayout();

    public PanicComponent() {
        setCompositionRoot(layout);
        setSizeFull();
        layout.setSizeFull();

        final Image panicImage = new Image(null, new ThemeResource(
                "images/panic.png"));
        layout.addComponent(panicImage);
        layout.setComponentAlignment(panicImage, Alignment.MIDDLE_CENTER);
    }
}
